Bug 1122209 - Review Request: nodejs-alter - Alters a string
Summary: Review Request: nodejs-alter - Alters a string
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122240
Blocks: nodejs-reviews 1122219
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:03 UTC by Ralph Bean
Modified: 2014-08-15 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 15:23:04 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:03:33 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-alter.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-alter-0.2.0-1.fc20.src.rpm

Description:
Alters a string by replacing multiple range fragments in one fast pass. Works
in node and browsers.

Comment 1 Parag AN(पराग) 2014-07-24 04:49:26 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-alter.noarch: W: only-non-binary-in-usr-lib
nodejs-alter.noarch: W: dangling-symlink /usr/lib/node_modules/alter/node_modules/stable /usr/lib/node_modules/stable
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :fc39645acecbf1c93196797f5ac576bb9af980b1b4f28bc38e33d200a35e6528
upstream tarball :fc39645acecbf1c93196797f5ac576bb9af980b1b4f28bc38e33d200a35e6528

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-24 16:26:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-alter
Short Description: Alters a string
Upstream URL: https://npmjs.org/package/alter
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-24 18:36:53 UTC
Git done (by process-git-requests).

Comment 4 Ralph Bean 2014-07-25 15:23:04 UTC
Built in rawhide.

Comment 5 Fedora Update System 2014-07-25 16:37:55 UTC
nodejs-alter-0.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-alter-0.2.0-1.fc20

Comment 6 Fedora Update System 2014-07-25 16:38:06 UTC
nodejs-alter-0.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-alter-0.2.0-1.fc19

Comment 7 Ralph Bean 2014-07-25 16:40:09 UTC
Buildroot overrides have been submitted.

Comment 8 Fedora Update System 2014-08-15 02:30:55 UTC
nodejs-alter-0.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2014-08-15 02:56:41 UTC
nodejs-alter-0.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.